xcb_free_gc(3)

NAME
xcb_free_gc - Destroys a graphics context

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_free_gc(xcb_connection_t *conn, xcb_gcontext_t gc);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

gc  The graphics context to destroy.

DESCRIPTION
Destroys the specified gc and all associated storage.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_free_gc_checked. See xcb-requests(3) for details.

ERRORS

xcb_g_context_error_t
    The specified graphics context does not exist.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.